#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Value_Input.H>

#define TEST_DOUBLE_MAX 1.0e+299

int
main (int argc, char* argv[])
{
  Fl_Window*      window = new Fl_Window(80, 48, "Test");
  Fl_Value_Input* input  = new Fl_Value_Input(12, 12, 56, 24);
  window->end();

# if 1
  // cause SEGFAULT on subsequent call to Fl_Value_Input::value()?!?!
  input->step(0.001);
#endif

  // Cannot handle attempt to format huge number with specified step size.
  input->value(TEST_DOUBLE_MAX);

  window->show(argc, argv);

  return Fl::run();
}
